Subject: bug#15188: closed (Re: bug#15154: 24.3; Various GTK warnings on debian jessie/sid)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Aug 2013 15:53:02 +0000

Your bug report

#15154: message should say what the accessibility bus is

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15154: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15154
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15154: 24.3; Various GTK warnings on debian jessie/sid
From: Jan Djärv <[email-masked]>
To: Tim Van Holder <[email-masked]>
Cc: [email-masked]
Date: Mon, 26 Aug 2013 17:52:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

21 aug 2013 kl. 19:01 skrev Tim Van Holder <[email-masked]>:

> 
>   ** (emacs:<pid>): WARNING **: Couldn't connect to accessibility bus:
>      Failed to connect to socket /tmp/dbus-OfJcFmA1Hb: Connection
>      refused

As others have pointed out, it is an atk-bridge message.  Several bug reports exists, for Ubuntu there is https://bugs.launchpad.net/ubuntu/+source/gdk-pixbuf/+bug/1193236.

> Also on startup, the minibuffer is higher that I would expect; this
> fixes itself the first time the minibuffer becomes the active buffer.
> This may be due to the initial rendering of the resize handle.

File a separate bug for that.

> When customizing something, even when not actually changing anything,
> pressing "State>Set for current session" or clicking twice on the
> "Custom" menu (to open and close the pop-up menu) results in one or
> two cases of:
> 
>   (emacs:17279): Gdk-CRITICAL **: gdk_device_get_source: assertion
>   `GDK_IS_DEVICE (device)' failed

This is a gtk bug: https://bugzilla.gnome.org/show_bug.cgi?id=696756. The title says w32, but it also affects X.

> 
> In addition, I frequently got
> 
>   (emacs:<pid>): Gtk-WARNING **: Failed to parse menu bar accelerator
>   'VoidSymbol'
> 
> which seemed to happen when autocompleting in the minibuffer, but which
> I can't now reproduce. If I see it again and can reproduce it reliably, I'll file
> a separate report.

To reproduce: click on the menu bar so a menu is open, then press a key.
I have checked in a fix for this.

	Jan D.

Subject: message should say what the accessibility bus is
From: [email-masked]
To: [email-masked]
Date: Sun, 25 Aug 2013 21:32:22 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

This message should say what the accessibility bus is. Some bus for old people?

     # su - nobody -c 'HOME=/tmp emacs -f w3m ~jidanni/jidanni.org/location/directions/index.html'
     No directory, logging in with HOME=/

     ** (emacs:3345): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Also the URL it is trying to reach, if any should be revealed.